For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETList Voices
      • GETGet Voice
      • GETGet Similar Voices
      • POSTFavorite Voice
      • DELUnfavorite Voice
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referencevoices

Unfavorite Voice

DELETE
/api/v1/voices/:voice_id/favorite
DELETE
/api/v1/voices/:voice_id/favorite
$curl -X DELETE https://api.onepin.ai/api/v1/voices/voice_id/favorite \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {},
3 "meta": {
4 "request_id": "a3f1c9d2-4b7e-4f8a-9c3d-2e5b7f1a9d8c",
5 "timestamp": "2024-04-27T14:45:00Z"
6 }
7}
Remove a voice from workspace favorites.
Was this page helpful?
Previous

Get Workspace Settings

Next
Built with

Authentication

AuthorizationBearer
Clerk JWT token
OR
AuthorizationBearer

Onepin live API key (op_live_...). Test and public keys are reserved in Phase 1.

Path parameters

voice_idstringRequiredformat: "uuid"

Headers

X-Workspace-Idstring or nullOptional

Response

Successful Response
datamap from strings to any
metaobject

Errors

422
Unprocessable Entity Error